package ir.ac.iust.htmlchardet.langwiseeval;

import java.io.UnsupportedEncodingException;
import java.nio.charset.Charset;

import org.jsoup.Jsoup;

import com.ibm.icu.text.CharsetDetector;

public class ICU4jWithStrippingEncodingDetector {

	public static String detect(byte[] rawHtmlByteSequence) {

		// stripping
		String trueHtmlStructure = new String(rawHtmlByteSequence, Charset.forName("ISO-8859-1"));
		String visibleText = Jsoup.parse(trueHtmlStructure).text();
		byte[] bytes = null;
		try {
			bytes = visibleText.getBytes("ISO-8859-1");
		} catch (UnsupportedEncodingException e) {
			// I think this Exception will never raised
			bytes = rawHtmlByteSequence;
		}

		// detect using icu4j
		CharsetDetector charsetDetector = new CharsetDetector();
		charsetDetector.setText(bytes);
		return charsetDetector.detect().getName();
	}

}
