package ir.ac.iust.htmlchardet.langwiseeval;

import ir.ac.iust.htmlchardet.Charsets;

import org.mozilla.intl.chardet.nsDetector;

import com.ibm.icu.text.CharsetDetector;

public class IUSTWithoutMarkupElimination {

	public static String detect(byte[] rawHtmlByteSequence) {
		nsDetector det = new nsDetector(nsDetector.ALL);
		det.DoIt(rawHtmlByteSequence, rawHtmlByteSequence.length, false);
		det.DataEnd();
		String charset = det.getProbableCharsets()[0];
		if (charset.equalsIgnoreCase("UTF-8")) {
			return Charsets.normalize(charset);
		}
		// detect charset using icu4j without Stripping Markups, Scripts, Styles  
		CharsetDetector charsetDetector = new CharsetDetector();
		charsetDetector.setText(rawHtmlByteSequence);
		return charsetDetector.detect().getName();

	}
}
